Bug 545422

Summary: UnicodeEncodeError during preupgrade
Product: [Fedora] Fedora Reporter: Petr Machata <pmachata>
Component: preupgradeAssignee: Seth Vidal <skvidal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: mnewsome, piskozub, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 11:33:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Petr Machata 2009-12-08 09:43:46 EST
Description of problem:
I'm hitting the following problem:

# preupgrade-cli "Fedora 12 (Constantine)"
[...]
zlib-devel.x86_64                      1.2.3-23.fc12          preupgrade-fedora
zlib-static.x86_64                     1.2.3-23.fc12          preupgrade-fedora
zvbi.x86_64                            0.2.33-4.fc12          preupgrade-fedora
zziplib.x86_64                         0.13.49-8.fc12         preupgrade-fedora
Total download size: 1.7GB
Download packages? 
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 312, in <module>
    pu.main(myrelease)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 250, in main
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 629, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8: ordinal not in range(128)

My current locale is ru_RU.UTF-8.  I suspect that the message gets localized, but the result string doesn't get encoded properly.

Version-Release number of selected component (if applicable):
preupgrade-1.1.3-1.fc11.noarch
Comment 1 Jacek Piskozub 2009-12-18 08:03:30 EST
This is an obvious dupe of bug 539246 which more or less reproduces bug 510683 (older but no with stack).

Shouldn't they all be made dupes of one, preferably bug 539246?
Comment 2 Bug Zapper 2010-04-28 07:32:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 11:33:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.